<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable41;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable41Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null && $row[6] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable41([
            'dataset_id'                => $this->datasetId,
            'created_by'                => $this->userId,
            'jenis_dokumen'             => $row[2],
            'kegiatan'                  => $row[3],
            'komisi_penilai'            => $row[4],
            'pemrakarsa'                => $row[5],
            'dokumen'                   => $row[6],
        ]);
    }
}
